DenomMetadataByQueryString
curl --request GET \
--url https://cosmos-rest.publicnode.com/cosmos/bank/v1beta1/denoms_metadata_by_query_stringimport requests
url = "https://cosmos-rest.publicnode.com/cosmos/bank/v1beta1/denoms_metadata_by_query_string"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cosmos-rest.publicnode.com/cosmos/bank/v1beta1/denoms_metadata_by_query_string', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"description": "<string>",
"denom_units": [
{
"denom": "<string>",
"exponent": 123,
"aliases": [
"<string>"
]
}
],
"base": "<string>",
"display": "<string>",
"name": "<string>",
"symbol": "<string>",
"uri": "<string>",
"uri_hash": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}bank
DenomMetadataByQueryString
gRPC: cosmos.bank.v1beta1.Query/DenomMetadataByQueryString (reference)
DenomMetadataByQueryString queries the client metadata of a given coin denomination.
GET
/
cosmos
/
bank
/
v1beta1
/
denoms_metadata_by_query_string
DenomMetadataByQueryString
Query Parameters
denom is the coin denom to query the metadata for.
Response
A successful response.
QueryDenomMetadataByQueryStringResponse is the response type for the Query/DenomMetadata RPC method. Identical with QueryDenomMetadataResponse but receives denom as query string in request.
metadata describes and provides all the client information for the requested token.
Show child attributes
Show child attributes
Was this page helpful?